Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Models

Get model asset credentials

POST /models/{name}/versions/{version}/credentials

Retrieves temporary credentials for accessing the storage backing the specified model version.

Query parameters

api-version string required

The API version to use for this operation.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

Path parameters

name string required

Name of the model.

version string required

Version of the model.

Request Body

The credential request request body.

Content-Type: application/json
blobUri string required

Blob URI of the model asset to fetch credentials for.

Responses

The request has succeeded.

Body

Content-Type: application/json
blobReference BlobReference required

Blob reference details.

blobUri string required

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string required

ARM ID of the storage account to use.

credential SasCredential required

SAS Credential definition

sasUri string required

SAS uri

type enum required

Type of credential

SAS

Client error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error Azure.Core.Foundations.Error required

The error object.

code string required

One of a server-defined set of error codes.

message string required

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error Azure.Core.Foundations.Error required

The error object.

code string required

One of a server-defined set of error codes.

message string required

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Request

POST /models/{name}/versions/{version}/credentials HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026